Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface DeploymentMBean

All Known Subinterfaces:
  weblogic.management.configuration.ClassDeploymentMBean, ComponentMBean, ConnectorComponentMBean, EJBComponentMBean, ForeignJMSServerMBean, JDBCConnectionPoolMBean, JDBCDataSourceMBean, JDBCMultiPoolMBean, JDBCTxDataSourceMBean, JMSConnectionFactoryMBean, JMSDistributedDestinationMBean, JMSDistributedQueueMBean, JMSDistributedTopicMBean, JMSServerMBean, JMSVirtualDestinationMBean, MailSessionMBean, MessagingBridgeMBean, NetworkChannelMBean, RMCFactoryMBean, ShutdownClassMBean, StartupClassMBean, VirtualDestinationMBean, VirtualHostMBean, WebAppComponentMBean, WebDeploymentMBean, WebServerMBean, WebServiceComponentMBean, WLECConnectionPoolMBean, WTCServerMBean

public interface DeploymentMBean
extends ConfigurationMBean

A Deployment is any MBean that may be deployed on one or more targets, such as a Component, a Web Server personality, a JMS Front-end or back-end or a JDBC connection pool. A deployment has targets, which specify which servers the deployment should be deployed on. Assigning the targets on a deployment will cause the deployment to get deployed on those targets. If the targets overlap, the deployment will only be deployed once. For example, if a deployment is deployed both on a cluster C and on a server S that is a member of that cluster, the deployment will be deployed on S only once. Simply adding or removing a target will not affect the deployment state for this deployment. The user must explicitly activate or deactivate the deployment. Certain types of deployments, ComponentMBeans, behave slightly differently. Please refer to their documentation for more information.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`
`static int` | `DEFAULT_ORDER` The default deployment order.
`static int` | `MAX_ORDER` The maximum value for a deployment order.
`static int` | `MIN_ORDER` The minimum value for a deployment order.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`boolean` | `addTarget(TargetMBean target)` Add a target.
`int` | `getDeploymentOrder()` A priority that the server uses to determine when it deploys an item.
`TargetMBean[]` | `getTargets()` The targets in the current domain on which this item can be deployed.
`boolean` | `removeTarget(TargetMBean target)` Remove a target.
`void` | `setDeploymentOrder(int order)` Sets the deploymentOrder attribute of the DeploymentMBean object
`void` | `setTargets(TargetMBean[] Targets)` Set the targets for this deployment.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

### DEFAULT_ORDER

    public static final int DEFAULT_ORDER

  The default deployment order. This is a midrange value.

### MIN_ORDER

    public static final int MIN_ORDER

  The minimum value for a deployment order. This represents the highest priority in terms of deployment.

### MAX_ORDER

    public static final int MAX_ORDER

  The maximum value for a deployment order. This represents the lowest priority in terms of deployment.

Method Detail

### getTargets

    public TargetMBean[] getTargets()

  The targets in the current domain on which this item can be deployed.

  Returns:
    The targets value

### setTargets

    public void setTargets(TargetMBean[] Targets)
                    throws javax.management.InvalidAttributeValueException,
                           DistributedManagementException

  Set the targets for this deployment. The targets must be either clusters or servers.

  A dynamic MBean attribute
  Parameters:
    `Targets` - The new targets value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### addTarget

    public boolean addTarget(TargetMBean target)
                      throws javax.management.InvalidAttributeValueException,
                             DistributedManagementException

  Add a target. The targets must be either clusters or servers.

  A dynamic MBean attribute
  Parameters:
    `target` - The feature to be added to the Target attribute
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### removeTarget

    public boolean removeTarget(TargetMBean target)
                         throws javax.management.InvalidAttributeValueException,
                                DistributedManagementException

  Remove a target.

  A dynamic MBean attribute
  Parameters:
    `target` -
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getDeploymentOrder

    public int getDeploymentOrder()

  A priority that the server uses to determine when it deploys an item. The priority is relative to other deployable items of the same type. For example, the server prioritizes and deploys all EJBs before it prioritizes and deploys startup classes.

  Items with the lowest Deployment Order value are deployed first. There is no guarantee on the order of deployments with equal Deployment Order values. There is no guarantee of ordering across clusters.

  A dynamic MBean attribute
  Default Value: DEFAULT_ORDER
  Legal Minimum Value: MIN_ORDER
  Legal Maximum Value: MAX_ORDER
  Returns:
    The deploymentOrder value

### setDeploymentOrder

    public void setDeploymentOrder(int order)

  Sets the deploymentOrder attribute of the DeploymentMBean object

  Parameters:
    `order` - The new deploymentOrder value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD